# istream.hpp File Reference

`#include <iosfwd>`
`#include <boost/config.hpp>`
`#include <saga/saga/util.hpp>`
`#include <saga/saga/base.hpp>`
`#include <saga/saga/packages/job/config.hpp>`

Go to the source code of this file.

## Namespaces
namespace | saga
namespace | saga::job
namespace | saga::job::detail
## Classes
class | saga::job::istream
| Brief description starts here. More...
## Defines
#define | SAGA_PACKAGES_JOB_ADAPTORS_ISTREAM_HPP
## Typedefs
typedef int | saga::job::detail::handle_type
## Functions
handle_type | saga::job::detail::get_handle (saga::job::istream const &istrm, bool detach=false)
| access the underlying file descriptor

## Define Documentation

#define SAGA_PACKAGES_JOB_ADAPTORS_ISTREAM_HPP